CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-8147

The resolveImplicitLevels function in common/ubidi.c in the Unicode Bidirectional Algorithm implementation in ICU4C in International Components for Unicode (ICU) before 55.1 uses an integer data type that is inconsistent with a header file, which allows remote attackers to cause a denial of service (incorrect malloc followed by invalid free) or possibly execute arbitrary code via crafted text.
Publish Date : 2015-05-25 Last Update Date : 2018-01-18
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceExecute Code
CWE ID 189

- Products Affected By CVE-2014-8147

# Product Type Vendor Product Version Update Edition Language
1 OS Apple Mac Os X 10.10.4 Version Details Vulnerabilities
2 OS Apple Watchos 1.0.1 Version Details Vulnerabilities
3 Application Icu-project International Components For Unicode 1.4 ~~~c/c++~~ Version Details Vulnerabilities
4 Application Icu-project International Components For Unicode 1.4.1 ~~~c/c++~~ Version Details Vulnerabilities
5 Application Icu-project International Components For Unicode 1.4.1.1 ~~~c/c++~~ Version Details Vulnerabilities
6 Application Icu-project International Components For Unicode 1.4.1.2 ~~~c/c++~~ Version Details Vulnerabilities
7 Application Icu-project International Components For Unicode 1.4.2 ~~~c/c++~~ Version Details Vulnerabilities
8 Application Icu-project International Components For Unicode 1.5 ~~~c/c++~~ Version Details Vulnerabilities
9 Application Icu-project International Components For Unicode 1.6 ~~~c/c++~~ Version Details Vulnerabilities
10 Application Icu-project International Components For Unicode 1.7 ~~~c/c++~~ Version Details Vulnerabilities
11 Application Icu-project International Components For Unicode 1.8 ~~~c/c++~~ Version Details Vulnerabilities
12 Application Icu-project International Components For Unicode 1.8.1 ~~~c/c++~~ Version Details Vulnerabilities
13 Application Icu-project International Components For Unicode 2.0 ~~~c/c++~~ Version Details Vulnerabilities
14 Application Icu-project International Components For Unicode 2.0.1 ~~~c/c++~~ Version Details Vulnerabilities
15 Application Icu-project International Components For Unicode 2.0.2 ~~~c/c++~~ Version Details Vulnerabilities
16 Application Icu-project International Components For Unicode 2.1 ~~~c/c++~~ Version Details Vulnerabilities
17 Application Icu-project International Components For Unicode 2.2 ~~~c/c++~~ Version Details Vulnerabilities
18 Application Icu-project International Components For Unicode 2.4 ~~~c/c++~~ Version Details Vulnerabilities
19 Application Icu-project International Components For Unicode 2.6 ~~~c/c++~~ Version Details Vulnerabilities
20 Application Icu-project International Components For Unicode 2.6.1 ~~~c/c++~~ Version Details Vulnerabilities
21 Application Icu-project International Components For Unicode 2.6.2 ~~~c/c++~~ Version Details Vulnerabilities
22 Application Icu-project International Components For Unicode 2.8 ~~~c/c++~~ Version Details Vulnerabilities
23 Application Icu-project International Components For Unicode 3.0 ~~~c/c++~~ Version Details Vulnerabilities
24 Application Icu-project International Components For Unicode 3.2 ~~~c/c++~~ Version Details Vulnerabilities
25 Application Icu-project International Components For Unicode 3.2.1 ~~~c/c++~~ Version Details Vulnerabilities
26 Application Icu-project International Components For Unicode 3.4 ~~~c/c++~~ Version Details Vulnerabilities
27 Application Icu-project International Components For Unicode 3.4.1 ~~~c/c++~~ Version Details Vulnerabilities
28 Application Icu-project International Components For Unicode 3.6 ~~~c/c++~~ Version Details Vulnerabilities
29 Application Icu-project International Components For Unicode 3.8 ~~~c/c++~~ Version Details Vulnerabilities
30 Application Icu-project International Components For Unicode 3.8.1 ~~~c/c++~~ Version Details Vulnerabilities
31 Application Icu-project International Components For Unicode 4.0 ~~~c/c++~~ Version Details Vulnerabilities
32 Application Icu-project International Components For Unicode 4.0.1 ~~~c/c++~~ Version Details Vulnerabilities
33 Application Icu-project International Components For Unicode 4.2 ~~~c/c++~~ Version Details Vulnerabilities
34 Application Icu-project International Components For Unicode 4.2.0.1 ~~~c/c++~~ Version Details Vulnerabilities
35 Application Icu-project International Components For Unicode 4.4.1 ~~~c/c++~~ Version Details Vulnerabilities
36 Application Icu-project International Components For Unicode 4.4.2 ~~~c/c++~~ Version Details Vulnerabilities
37 Application Icu-project International Components For Unicode 4.4.2.1 ~~~c/c++~~ Version Details Vulnerabilities
38 Application Icu-project International Components For Unicode 4.6 ~~~c/c++~~ Version Details Vulnerabilities
39 Application Icu-project International Components For Unicode 4.6.1 ~~~c/c++~~ Version Details Vulnerabilities
40 Application Icu-project International Components For Unicode 4.8 ~~~c/c++~~ Version Details Vulnerabilities
41 Application Icu-project International Components For Unicode 4.8.1 ~~~c/c++~~ Version Details Vulnerabilities
42 Application Icu-project International Components For Unicode 4.8.1.1 ~~~c/c++~~ Version Details Vulnerabilities
43 Application Icu-project International Components For Unicode 49.1 ~~~c/c++~~ Version Details Vulnerabilities
44 Application Icu-project International Components For Unicode 49.1.1 ~~~c/c++~~ Version Details Vulnerabilities
45 Application Icu-project International Components For Unicode 49.1.2 ~~~c/c++~~ Version Details Vulnerabilities
46 Application Icu-project International Components For Unicode 50.1 ~~~c/c++~~ Version Details Vulnerabilities
47 Application Icu-project International Components For Unicode 50.1.1 ~~~c/c++~~ Version Details Vulnerabilities
48 Application Icu-project International Components For Unicode 50.1.2 ~~~c/c++~~ Version Details Vulnerabilities
49 Application Icu-project International Components For Unicode 51.1 ~~~c/c++~~ Version Details Vulnerabilities
50 Application Icu-project International Components For Unicode 51.2 ~~~c/c++~~ Version Details Vulnerabilities
51 Application Icu-project International Components For Unicode 52.1 ~~~c/c++~~ Version Details Vulnerabilities
52 Application Icu-project International Components For Unicode 53.1 ~~~c/c++~~ Version Details Vulnerabilities
53 Application Icu-project International Components For Unicode 54.1 ~~~c/c++~~ Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apple Mac Os X 1
Apple Watchos 1
Icu-project International Components For Unicode 51

- References For CVE-2014-8147

http://www.debian.org/security/2015/dsa-3323
DEBIAN DSA-3323
https://security.gentoo.org/glsa/201507-04
GENTOO GLSA-201507-04
http://lists.apple.com/archives/security-announce/2015/Sep/msg00008.html
APPLE APPLE-SA-2015-09-30-3
http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html CONFIRM
http://www.securityfocus.com/bid/74457
BID 74457 ICU Project ICU4C Library Multiple Buffer Overflow Vulnerabilities Release Date:2015-07-08
http://www.kb.cert.org/vuls/id/602540
CERT-VN VU#602540
https://raw.githubusercontent.com/pedrib/PoC/master/generic/i-c-u-fail.txt
http://www.oracle.com/technetwork/topics/security/bulletinoct2015-2511968.html CONFIRM
http://seclists.org/fulldisclosure/2015/May/14
FULLDISC 20150505 [CVE-2014-8146/8147] - ICU heap and integer overflows / I-C-U-FAIL
https://support.apple.com/HT205213 CONFIRM
http://openwall.com/lists/oss-security/2015/05/05/6
MLIST [oss-security] 20150505 [CVE-2014-8146/8147] - ICU heap and integer overflows / I-C-U-FAIL
http://lists.apple.com/archives/security-announce/2015/Sep/msg00005.html
APPLE APPLE-SA-2015-09-21-1
https://support.apple.com/HT205267 CONFIRM
http://bugs.icu-project.org/trac/changeset/37080 CONFIRM

- Metasploit Modules Related To CVE-2014-8147

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.